HierarchicalBuilderParameters (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.builder.fluent, interface: HierarchicalBuilderParameters

Package org.apache.commons.configuration2.builder.fluent

# Interface HierarchicalBuilderParameters

All Superinterfaces:
  `BasicBuilderProperties<HierarchicalBuilderParameters>`, `BuilderParameters`, `FileBasedBuilderProperties<HierarchicalBuilderParameters>`, `HierarchicalBuilderProperties<HierarchicalBuilderParameters>`

public interface HierarchicalBuilderParameters extends BasicBuilderProperties<HierarchicalBuilderParameters>, FileBasedBuilderProperties<HierarchicalBuilderParameters>, HierarchicalBuilderProperties<HierarchicalBuilderParameters>, BuilderParameters

Definition of a parameters interface providing a fluent API for setting all properties for a hierarchical configuration.

Important note: This interface is not intended to be implemented by client code! It defines a set of available properties and may be extended even in minor releases.

Since:
  2.0

- ## Field Summary

  ### Fields inherited from interface org.apache.commons.configuration2.builder.BuilderParameters

  `RESERVED_PARAMETER_PREFIX`

- ## Method Summary

  ### Methods inherited from interface org.apache.commons.configuration2.builder.BasicBuilderProperties

  `setBeanHelper, setConfigurationDecoder, setConversionHandler, setDefaultLookups, setInterpolator, setListDelimiterHandler, setLogger, setParentInterpolator, setPrefixLookups, setSynchronizer, setThrowExceptionOnMissing`

  ### Methods inherited from interface org.apache.commons.configuration2.builder.BuilderParameters

  `getParameters`

  ### Methods inherited from interface org.apache.commons.configuration2.builder.FileBasedBuilderProperties

  `setBasePath, setEncoding, setFile, setFileName, setFileSystem, setLocationStrategy, setPath, setReloadingDetectorFactory, setReloadingRefreshDelay, setURL, setURL`

  ### Methods inherited from interface org.apache.commons.configuration2.builder.HierarchicalBuilderProperties

  `setExpressionEngine`